import {request} from "@/api/request";


export const illnessApi = {
  /** 疾病列表 */
  list(id: number, page: number, page_size: number) {
    return request<{ list: any[], total: number }>(`/home/v1/illness/list`, "GET", {page, page_size, id})
  },
  articleInfo(owner_id: number, page: number, page_size: number) {
    return request<{ illness:{name:string;description:string;resource:any;album:string[]};list:{list: any[], total: number} }>
    (`/home/v1/article/illness_list`, "GET", {page, page_size, owner_id})
  },
}
